Bug 49676

Summary: directory with german umlauts are indented by one char
Product: Apache httpd-2 Reporter: Toralf Förster <toralf.foerster>
Component: mod_autoindexAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.15   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: screen shot of konqueror
wrong indentation w/ HTMLTable

Description Toralf Förster 2010-07-30 04:47:01 UTC
Created attachment 25819 [details]
screen shot of konqueror

Please see the attached screen shot, the appropriate configuration values are :

IndexOptions Charset=UTF-8 FancyIndexing FoldersFirst VersionSort IconsAreLinks NameWidth=*
Comment 1 Stefan Fritsch 2010-07-31 08:05:53 UTC
Add HTMLTable to IndexOptions and it works.

The problem with the non-HTMLTable layout is that mod_autoindex uses a simple strlen to determine the length of the filename. But instead of doing something more complicated there, I think HTMLTable should simply be made the default. And the "Experimental" tag should clearly be removed from HTMLTable, it has been around for years.
Comment 2 Stefan Fritsch 2010-07-31 08:18:13 UTC
The docs have been updated in r981041 and r981043
Comment 3 Toralf Förster 2010-07-31 08:42:46 UTC
Created attachment 25823 [details]
wrong indentation w/ HTMLTable

(In reply to comment #1)
> Add HTMLTable to IndexOptions and it works.

This workaround solved it only for the umlaut's, however now other entries are wrongly  indented - as seen in the attached screen shot.
Comment 4 Stefan Fritsch 2010-08-01 03:28:16 UTC
(In reply to comment #3)
> This workaround solved it only for the umlaut's, however now other entries are
> wrongly  indented - as seen in the attached screen shot.

This works as designed: The date-time column is right-aligned and uses a proportional font. Maybe a fixed-width font would be better in this case.

Patches to improve the HTML are welcome.
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:24 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.